From 72b8b7e5a2cde8378dcbbb7cecadf8fcd18f16c7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 27 2021 22:36:29 +0000
Subject: [PATCH 2232/2232] Merge pull request #787 from dtolnay/rusttype


Hide extern "Rust" types' RustType impl from rustdoc
---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 32f9b92..73e2edf 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -755,6 +755,7 @@ fn expand_rust_type_impl(ety: &ExternType) -> TokenStream {
     let unsafe_impl = quote_spanned!(ety.type_token.span=> unsafe impl);
 
     let mut impls = quote_spanned! {span=>
+        #[doc(hidden)]
         #unsafe_impl #generics ::cxx::private::RustType for #ident #generics {}
     };
 

